Play endpoint
The play endpoint allows you to track when the media player plays or resumes content. Examples include the initial start of main content or during autoplay. It also includes resuming content after buffering, being paused, or encountering an error. See Media Edge API implementation examples for more examples calling this endpoint. See the Play event in the Streaming Media services documentation for additional details.
Usage of this endpoint requires an active session. Make sure that you call the sessionStart endpoint first to obtain a valid session ID.
play
POST https://edge.adobedc.net/ee/va/v1/play?configId={datastreamID}
data-slots=heading, code
data-repeat=1
data-languages=CURL
Request
curl -X POST "https://edge.adobedc.net/ee/va/v1/play?configId={datastreamID}" \
--header 'Content-Type: application/json' \
--data '{
"events": [
{
"xdm": {
"eventType": "media.play",
"mediaCollection": {
"sessionID": "ffab5[...]45ec3",
"playhead": 0
},
"timestamp": "YYYY-08-20T22:41:40+00:00"
}
}
]
}'
If successfully processed, the API returns 204 No Content.
This endpoint requires the following payload properties within the xdm object:
eventTypemedia.play for this endpoint.mediaCollectionsessionID and playhead properties are required.timestamp